diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc	2025-03-09 16:55:49.815372700 -0700
@@ -1064,69 +1065,69 @@
     NS_LOG_FUNCTION("Check slopes for 11ax 80+80MHz @ 5GHz with larger frequency separation "
                     "between the two PSDs");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // Inner band left for first segment (start)
-        std::make_pair(1035, -1.538),  // Inner band left for first segment (stop)
-        std::make_pair(1036, 0.0),     // allocated band left for first segment (start)
-        std::make_pair(1533, 0.0),     // allocated band left for first segment (stop)
-        std::make_pair(1534, -20.0),   // DC band for first segment (start)
-        std::make_pair(1538, -20.0),   // DC band for first segment (stop)
-        std::make_pair(1539, 0.0),     // allocated band right for first segment (start)
-        std::make_pair(2036, 0.0),     // allocated band right for first segment (stop)
-        std::make_pair(2037, -1.538),  // Inner band right for first segment (start)
-        std::make_pair(2049, -20.0),   // Inner band right for first segment (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right for first segment (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right for first segment (stop)
-        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3583, -24.99), // stop linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3583, -24.99), // stop linear sum region left (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3584, -25.0),  // middle linear sum region (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3584, -25.0),  // middle linear sum region (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(3585, -24.99), // start linear sum region right (no interpolation possible,
-                                      // so provide 2 times the same point)
-        std::make_pair(3585, -24.99), // start linear sum region right (no interpolation possible,
-                                      // so provide 2 times the same point)
-        std::make_pair(5113, -20.01), // stop linear sum region right (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(5113, -20.01), // stop linear sum region right (no interpolation possible, so
-                                      // provide 2 times the same point)
-        std::make_pair(5114, -20.0),  // Flat junction band left (start)
-        std::make_pair(5118, -20.0),  // Flat junction band left (stop)
-        std::make_pair(5119, -20.0),  // Inner band left for second segment (start)
-        std::make_pair(5131, -1.538), // Inner band left for second segment (stop)
-        std::make_pair(5132, 0.0),    // allocated band left for second segment (start)
-        std::make_pair(5629, 0.0),    // allocated band left for second segment (stop)
-        std::make_pair(5630, -20.0),  // DC band for second segment (start)
-        std::make_pair(5634, -20.0),  // DC band for second segment (stop)
-        std::make_pair(5635, 0.0),    // allocated band right for second segment (start)
-        std::make_pair(6132, 0.0),    // allocated band right for second segment (stop)
-        std::make_pair(6133, -1.538), // Inner band right for second segment (start)
-        std::make_pair(6145, -20.0),  // Inner band right for second segment (stop)
-        std::make_pair(6146, -20.0),  // Flat junction band right (start)
-        std::make_pair(6150, -20.0),  // Flat junction band right (stop)
-        std::make_pair(6151, -20.016), // Middle band right (start)
-        std::make_pair(6656, -28.000), // Middle band right (stop)
-        std::make_pair(6657, -28.023), // Outer band right (start)
-        std::make_pair(7168, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // Inner band left for first segment (start)
+        std::make_pair(1035, dBr_u{-1.538}),  // Inner band left for first segment (stop)
+        std::make_pair(1036, dBr_u{0.0}),     // allocated band left for first segment (start)
+        std::make_pair(1533, dBr_u{0.0}),     // allocated band left for first segment (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band for first segment (start)
+        std::make_pair(1538, dBr_u{-20.0}),   // DC band for first segment (stop)
+        std::make_pair(1539, dBr_u{0.0}),     // allocated band right for first segment (start)
+        std::make_pair(2036, dBr_u{0.0}),     // allocated band right for first segment (stop)
+        std::make_pair(2037, dBr_u{-1.538}),  // Inner band right for first segment (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // Inner band right for first segment (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right for first segment (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right for first segment (stop)
+        std::make_pair(2055, dBr_u{-20.01}),  // start linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(2055, dBr_u{-20.01}),  // start linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(3583, dBr_u{-24.99}),  // stop linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(3583, dBr_u{-24.99}),  // stop linear sum region left (no interpolation
+                                              // possible, so provide 2 times the same point)
+        std::make_pair(3584, dBr_u{-25.0}),  // middle linear sum region (no interpolation possible,
+                                             // so provide 2 times the same point)
+        std::make_pair(3584, dBr_u{-25.0}),  // middle linear sum region (no interpolation possible,
+                                             // so provide 2 times the same point)
+        std::make_pair(3585, dBr_u{-24.99}), // start linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(3585, dBr_u{-24.99}), // start linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(5113, dBr_u{-20.01}), // stop linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(5113, dBr_u{-20.01}), // stop linear sum region right (no interpolation
+                                             // possible, so provide 2 times the same point)
+        std::make_pair(5114, dBr_u{-20.0}),  // Flat junction band left (start)
+        std::make_pair(5118, dBr_u{-20.0}),  // Flat junction band left (stop)
+        std::make_pair(5119, dBr_u{-20.0}),  // Inner band left for second segment (start)
+        std::make_pair(5131, dBr_u{-1.538}), // Inner band left for second segment (stop)
+        std::make_pair(5132, dBr_u{0.0}),    // allocated band left for second segment (start)
+        std::make_pair(5629, dBr_u{0.0}),    // allocated band left for second segment (stop)
+        std::make_pair(5630, dBr_u{-20.0}),  // DC band for second segment (start)
+        std::make_pair(5634, dBr_u{-20.0}),  // DC band for second segment (stop)
+        std::make_pair(5635, dBr_u{0.0}),    // allocated band right for second segment (start)
+        std::make_pair(6132, dBr_u{0.0}),    // allocated band right for second segment (stop)
+        std::make_pair(6133, dBr_u{-1.538}), // Inner band right for second segment (start)
+        std::make_pair(6145, dBr_u{-20.0}),  // Inner band right for second segment (stop)
+        std::make_pair(6146, dBr_u{-20.0}),  // Flat junction band right (start)
+        std::make_pair(6150, dBr_u{-20.0}),  // Flat junction band right (stop)
+        std::make_pair(6151, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(6656, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(6657, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(7168, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80+80MHz large separation",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               160,
-                                               {5210, 5530},
+                                               MHz_u{160},
+                                               {MHz_u{5210}, MHz_u{5530}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -1136,37 +1137,37 @@
     // 11ax 80MHz @ 5GHz - first 20 MHz subchannel punctured
     NS_LOG_FUNCTION("Check slopes for 11ax 80MHz @ 5GHz with first 20 MHz subchannel punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // punctured band (start)
-        std::make_pair(1272, -20.0),   // punctured band (stop)
-        std::make_pair(1273, -20.0),   // punctured band increasing slope (start)
-        std::make_pair(1279, 0.0),     // punctured band increasing slope (stop)
-        std::make_pair(1280, 0.0),     // allocated band left (start)
-        std::make_pair(1533, 0.0),     // allocated band left (stop)
-        std::make_pair(1534, -20.0),   // DC band (start)
-        std::make_pair(1538, -20.0),   // DC band (stop)
-        std::make_pair(1539, 0.0),     // allocated band right (start)
-        std::make_pair(2036, 0.0),     // allocated band right (stop)
-        std::make_pair(2037, -1.538),  // Inner band right (start)
-        std::make_pair(2049, -20.0),   // Inner band right (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right (stop)
-        std::make_pair(2055, -20.016), // Middle band right (start)
-        std::make_pair(2560, -28.000), // Middle band right (stop)
-        std::make_pair(2561, -28.023), // Outer band right (start)
-        std::make_pair(3072, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(1272, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(1273, dBr_u{-20.0}),   // punctured band increasing slope (start)
+        std::make_pair(1279, dBr_u{0.0}),     // punctured band increasing slope (stop)
+        std::make_pair(1280, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(1533, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(1538, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(1539, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(2036, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(2037, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(2055, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(2560, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(2561, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(3072, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80MHz first subchannel punctured",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               80,
-                                               {5210},
+                                               MHz_u{80},
+                                               {MHz_u{5210}},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1177,41 +1178,41 @@
     // 11ax 80MHz @ 5GHz - second 20 MHz subchannel punctured
     NS_LOG_FUNCTION("Check slopes for 11ax 80MHz @ 5GHz with second 20 MHz subchannel punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // Inner band left (start)
-        std::make_pair(1035, -1.538),  // Inner band left (stop)
-        std::make_pair(1036, 0.0),     // allocated band left (start)
-        std::make_pair(1279, 0.0),     // allocated band left (stop)
-        std::make_pair(1280, 0.0),     // punctured band decreasing slope (start)
-        std::make_pair(1286, -20.0),   // punctured band decreasing slope (stop)
-        std::make_pair(1287, -20.0),   // punctured band (start)
-        std::make_pair(1528, -20.0),   // punctured band (stop)
-        std::make_pair(1529, -20.0),   // punctured band increasing slope (start)
-        std::make_pair(1533, -6.667),  // punctured band increasing slope (stop)
-        std::make_pair(1534, -20.0),   // DC band (start)
-        std::make_pair(1538, -20.0),   // DC band (stop)
-        std::make_pair(1539, 0.0),     // allocated band right (start)
-        std::make_pair(2036, 0.0),     // allocated band right (stop)
-        std::make_pair(2037, -1.538),  // Inner band right (start)
-        std::make_pair(2049, -20.0),   // Inner band right (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right (stop)
-        std::make_pair(2055, -20.016), // Middle band right (start)
-        std::make_pair(2560, -28.000), // Middle band right (stop)
-        std::make_pair(2561, -28.023), // Outer band right (start)
-        std::make_pair(3072, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(1035, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(1036, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(1279, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(1280, dBr_u{0.0}),     // punctured band decreasing slope (start)
+        std::make_pair(1286, dBr_u{-20.0}),   // punctured band decreasing slope (stop)
+        std::make_pair(1287, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(1528, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(1529, dBr_u{-20.0}),   // punctured band increasing slope (start)
+        std::make_pair(1533, dBr_u{-6.667}),  // punctured band increasing slope (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(1538, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(1539, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(2036, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(2037, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(2055, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(2560, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(2561, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(3072, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80MHz second subchannel punctured",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               80,
-                                               {5210},
+                                               MHz_u{80},
+                                               {MHz_u{5210}},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1222,41 +1223,41 @@
     // 11ax 80MHz @ 5GHz - third 20 MHz subchannel punctured
     NS_LOG_FUNCTION("Check slopes for 11ax 80MHz @ 5GHz with third 20 MHz subchannel punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // Inner band left (start)
-        std::make_pair(1035, -1.538),  // Inner band left (stop)
-        std::make_pair(1036, 0.0),     // allocated band left (start)
-        std::make_pair(1533, 0.0),     // allocated band left (stop)
-        std::make_pair(1534, -20.0),   // DC band (start)
-        std::make_pair(1535, -20.0),   // DC band (stop)
-        std::make_pair(1539, -10.0),   // punctured band decreasing slope (start)
-        std::make_pair(1542, -20.0),   // punctured band decreasing slope (stop)
-        std::make_pair(1543, -20.0),   // punctured band (start)
-        std::make_pair(1784, -20.0),   // punctured band (stop)
-        std::make_pair(1785, -20.0),   // punctured band increasing slope (start)
-        std::make_pair(1791, 0.0),     // punctured band increasing slope (stop)
-        std::make_pair(1792, 0.0),     // allocated band right (start)
-        std::make_pair(2036, 0.0),     // allocated band right (stop)
-        std::make_pair(2037, -1.538),  // Inner band right (start)
-        std::make_pair(2049, -20.0),   // Inner band right (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right (stop)
-        std::make_pair(2055, -20.016), // Middle band right (start)
-        std::make_pair(2560, -28.000), // Middle band right (stop)
-        std::make_pair(2561, -28.023), // Outer band right (start)
-        std::make_pair(3072, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(1035, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(1036, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(1533, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(1535, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(1539, dBr_u{-10.0}),   // punctured band decreasing slope (start)
+        std::make_pair(1542, dBr_u{-20.0}),   // punctured band decreasing slope (stop)
+        std::make_pair(1543, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(1784, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(1785, dBr_u{-20.0}),   // punctured band increasing slope (start)
+        std::make_pair(1791, dBr_u{0.0}),     // punctured band increasing slope (stop)
+        std::make_pair(1792, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(2036, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(2037, dBr_u{-1.538}),  // Inner band right (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(2055, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(2560, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(2561, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(3072, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80MHz third subchannel punctured",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               80,
-                                               {5210},
+                                               MHz_u{80},
+                                               {MHz_u{5210}},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1267,37 +1268,37 @@
     // 11ax 80MHz @ 5GHz - last 20 MHz subchannel punctured
     NS_LOG_FUNCTION("Check slopes for 11ax 80MHz @ 5GHz with last 20 MHz subchannel punctured");
     maskSlopes = {
-        std::make_pair(0, -40.0),      // Outer band left (start)
-        std::make_pair(511, -28.023),  // Outer band left (stop)
-        std::make_pair(512, -28.000),  // Middle band left (start)
-        std::make_pair(1017, -20.016), // Middle band left (stop)
-        std::make_pair(1018, -20.0),   // Flat junction band left (start)
-        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
-        std::make_pair(1023, -20.0),   // Inner band left (start)
-        std::make_pair(1035, -1.538),  // Inner band left (stop)
-        std::make_pair(1036, 0.0),     // allocated band left (start)
-        std::make_pair(1533, 0.0),     // allocated band left (stop)
-        std::make_pair(1534, -20.0),   // DC band (start)
-        std::make_pair(1538, -20.0),   // DC band (stop)
-        std::make_pair(1539, 0.0),     // allocated band right (start)
-        std::make_pair(1791, 0.0),     // allocated band right (stop)
-        std::make_pair(1792, 0.0),     // punctured band decreasing slope (start)
-        std::make_pair(1798, -20.0),   // punctured band decreasing slope (stop)
-        std::make_pair(1799, -20.0),   // punctured band (start)
-        std::make_pair(2049, -20.0),   // punctured band (stop)
-        std::make_pair(2050, -20.0),   // Flat junction band right (start)
-        std::make_pair(2054, -20.0),   // Flat junction band right (stop)
-        std::make_pair(2055, -20.016), // Middle band right (start)
-        std::make_pair(2560, -28.000), // Middle band right (stop)
-        std::make_pair(2561, -28.023), // Outer band right (start)
-        std::make_pair(3072, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),      // Outer band left (start)
+        std::make_pair(511, dBr_u{-28.023}),  // Outer band left (stop)
+        std::make_pair(512, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(1017, dBr_u{-20.016}), // Middle band left (stop)
+        std::make_pair(1018, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(1022, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(1023, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(1035, dBr_u{-1.538}),  // Inner band left (stop)
+        std::make_pair(1036, dBr_u{0.0}),     // allocated band left (start)
+        std::make_pair(1533, dBr_u{0.0}),     // allocated band left (stop)
+        std::make_pair(1534, dBr_u{-20.0}),   // DC band (start)
+        std::make_pair(1538, dBr_u{-20.0}),   // DC band (stop)
+        std::make_pair(1539, dBr_u{0.0}),     // allocated band right (start)
+        std::make_pair(1791, dBr_u{0.0}),     // allocated band right (stop)
+        std::make_pair(1792, dBr_u{0.0}),     // punctured band decreasing slope (start)
+        std::make_pair(1798, dBr_u{-20.0}),   // punctured band decreasing slope (stop)
+        std::make_pair(1799, dBr_u{-20.0}),   // punctured band (start)
+        std::make_pair(2049, dBr_u{-20.0}),   // punctured band (stop)
+        std::make_pair(2050, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(2054, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(2055, dBr_u{-20.016}), // Middle band right (start)
+        std::make_pair(2560, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(2561, dBr_u{-28.023}), // Outer band right (start)
+        std::make_pair(3072, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80MHz last subchannel punctured",
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
-                                               80,
-                                               {5210},
+                                               MHz_u{80},
+                                               {MHz_u{5210}},
                                                maskSlopes,
                                                tol,
                                                prec,
